package com.jay.monitor.data.server.models.store;

import com.jay.monitor.data.server.enums.MatchRuleEnums;

import java.util.Date;
import java.util.List;

/**
 * 告警规则存储模型定义
 *
 * @author liukaixiong
 * @date 2021/9/6 - 19:34
 */
public class AlertRuleConfig {

    private String id;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 项目名称 , ALL 应用所有项目,多个项目,号分割
     */
    private String project;
    /**
     * 表达式信息
     */
    private List<AlertRuleNode> ruleNodes;
    /**
     * 规则类型， 该类型会基于字段值去做计算
     */
    private MatchRuleEnums ruleType;
    /**
     * 告警编号
     */
    private List<AlertPlatformNode> alertPlatformList;

    /**
     * 状态
     */
    private Integer status;

    private String creator;

    private Date createDate;

    private String updator;

    private Date updated;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    public List<AlertPlatformNode> getAlertPlatformList() {
        return alertPlatformList;
    }

    public void setAlertPlatformList(List<AlertPlatformNode> alertPlatformList) {
        this.alertPlatformList = alertPlatformList;
    }

    public MatchRuleEnums getRuleType() {
        return ruleType;
    }

    public void setRuleType(MatchRuleEnums ruleType) {
        this.ruleType = ruleType;
    }

    public List<AlertRuleNode> getRuleNodes() {
        return ruleNodes;
    }

    public void setRuleNodes(List<AlertRuleNode> ruleNodes) {
        this.ruleNodes = ruleNodes;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

}
